/* body */

body {
    display: none;
    background-color:#ffffff;
}

/* Navbar */

#navbar {
    position: sticky;
    top: 5px;
    z-index: 10;
}

/* Top Image */

#top-image {
    display: none;
}

.top {
    position: relative;
    width: 90%;
    max-width: 1200px;
    margin: 20px auto;
}

.top-image {
    display: block;
    width: 100%;
    height: auto;
    border-radius: 80px;
    box-shadow: 0 4px 12px rgba(0,0,0,0.4);
}

.container {
    display: flex;
    flex-direction: column;
    position: absolute;
    transform: translateY(-50%);
    top: 50%;
    left: 4.5%;
    width: 55%;
    gap: 25px;
}

.container-title {
    margin: 0;
    color: rgb(14, 128, 235);
    font-family: "Bitcount Prop Single";
    font-size: clamp(20px, 5vw, 80px);
    transition: font-size 1s ease
}

.container-title:hover {
    font-size: clamp(20px, 6vw, 100px);
}

.container-text {
    margin: 0;
    margin-top: 10px;
    color: rgb(248, 247, 245);
    font-family: "Oswald";
    font-size: clamp(5px, 3vw, 25px);
    text-wrap: initial;
    transition: font-size 1s ease
}

.container-text:hover {
    font-size: clamp(10px, 3vw, 30px);
}


.container-buttons {
    display: flex;
    gap: 10px;
    padding-top: 20px;
    margin-top: 50px;
}

.container-button {
    width: fit-content;
    border-radius: 10px;
    background-color: transparent;
    border: none;
    overflow: hidden;
    font-family: "Bitcount Prop Single";
}

.container-button a {
    display: block;
    padding: 10px;
    border-radius: 23px;
    font-family: "Bitcount Prop Single";
    font-size: clamp(5px, 3vw, 50px);
    text-decoration: none;
    color: rgb(248, 247, 245);
    background-color: rgb(14, 128, 235);
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
    transition: font-size 1s ease, padding 1s ease, background-color 1s ease, color 1s ease, box-shadow 1s ease, border-radius 1s ease;
}

.container-button a:hover {
    color: rgb(14, 128, 235);
    background-color: rgb(248, 247, 245);
    box-shadow: 0 6px 16px rgba(0, 0, 0, 0.2);
    border-radius: 10px;
    padding: 14px;
    font-size: clamp(15px, 3vw, 40px);
}

.container-button a:active {
    color: rgb(14, 128, 235);
    background-color: rgb(248, 247, 245);
}

/* Updates */

.updates {
    display: grid;
    justify-content: center;
    width: 100%;
    margin: auto;
    padding-bottom: 40px;
}

.updates-title {
    justify-content:start;
    background-color: rgba(248, 247, 245, 0.5);
    box-shadow: 0 4px 12px rgba(0,0,0,0.1);
    padding: 20px;
    max-width: max-content;
    border-radius: 20px;
    font-family: 'Bitcount Prop Single';
    font-size: 50px;
    transition: padding 2s ease, font-size 2s ease;
}

.updates-title:hover {
    padding: 25px;
    font-size: 60px;
}

.newsboxes {
    display: grid;
    justify-content: center;
    gap: 80px;
    grid-template-rows: auto auto;
    grid-template-columns: auto auto;
}

/* Releases */

.releases {
    display: grid;
    justify-content: center;
    width: 100%;
    margin-bottom: 80px;
    padding-bottom: 50px;
}

.releases-title {
    justify-content:start;
    background-color: rgb(248, 247, 245);
    box-shadow: 0 4px 12px rgba(0,0,0,0.1);
    padding: 20px;
    max-width: max-content;
    border-radius: 20px;
    font-family: 'Bitcount Prop Single';
    font-size: 35px;
    transition: padding 2s ease, font-size 2s ease;
}

.releases-title:hover {
    padding: 25px;
    font-size: 45px;
}

.releaseboxes {
    display: grid;
    justify-content: center;
    grid-template-rows: auto auto auto;
    grid-template-columns: auto auto;
}

/* Bottom bar */

#bottombar {
    position: fixed;
    width: 100%;
    bottom: 0;
    left: 0;
}